# NegativeUNL | xrpl
Documentation for xrpl

# Interface NegativeUNL

The NegativeUNL object type contains the current status of the Negative UNL, a list of trusted validators currently believed to be offline.

#### Hierarchy

- default
  - NegativeUNL

- Defined in packages/xrpl/src/models/ledger/NegativeUNL.ts:14

#####
Index

### Properties

DisabledValidators?
LedgerEntryType
ValidatorToDisable?
ValidatorToReEnable?
index

## Properties

### `Optional` DisabledValidators

DisabledValidators?: DisabledValidator[]

A list of trusted validators that are currently disabled.

- Defined in packages/xrpl/src/models/ledger/NegativeUNL.ts:19

### LedgerEntryType

LedgerEntryType: "NegativeUNL"

- Defined in packages/xrpl/src/models/ledger/NegativeUNL.ts:15

### `Optional` ValidatorToDisable

ValidatorToDisable?: string

The public key of a trusted validator that is scheduled to be disabled in the next flag ledger.

- Defined in packages/xrpl/src/models/ledger/NegativeUNL.ts:24

### `Optional` ValidatorToReEnable

ValidatorToReEnable?: string

The public key of a trusted validator in the Negative UNL that is scheduled to be re-enabled in the next flag ledger.

- Defined in packages/xrpl/src/models/ledger/NegativeUNL.ts:29

### index

index: string

Inherited from BaseLedgerEntry.index

- Defined in packages/xrpl/src/models/ledger/BaseLedgerEntry.ts:2

Generated using TypeDoc